<?php require_once "header.php";

if (isset($_GET["edit"])) { ?>
    <form method="POST">
        <label for="content">Contenu de la page :</label>
        <textarea id="content" name="content" class="form-control" rows="<?= substr_count($CONFIG->getIndexPage(), "\n") + 1 ?>"><?php echo $CONFIG->getIndexPage() ?></textarea>

        <hr />

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" name="edit_page" type="submit" value="Modifier"/>
        </div>
    </form>
<?php } else {

    if (isset($_SESSION["user_id"]) && $_SESSION["role"] != Role::ADMIN) {
        if (date("Y-m-d H:i:s") <= $CONFIG->getInscriptionDate()) {
            if ($_SESSION["team"] == null) { ?>
                <div class="alert alert-warning">
                    Pour participer aux Correspondances, vous devez rejoindre une équipe. Cliquez <a href="/rejoindre-equipe">ici</a>
                    pour rejoindre une équipe, et <a href="/ajouter-equipe">ici</a> pour en créer une.
                </div>
            <?php }
            elseif ($_SESSION["team"]->getParticipants()[2] == null || $_SESSION["team"]->getEncadrantId() == null) { ?>
                <div class="alert alert-warning">
                    Votre équipe doit comporter au moins 3 personnes et un encadrant pour pouvoir participer. Pensez à transmettre
                    le code d'accès aux autres membres de votre équipe, qui doivent elles aussi s'inscrire sur la plateforme :
                    <strong><?= $_SESSION["team"]->getAccessCode() ?></strong>
                </div>
            <?php }
            elseif ($_SESSION["team"]->getProblem() == 0) { ?>
                <div class="alert alert-warning">
                    Vous devez indiquer problème pour participer. Pensez à le spécifier dans la page <a href="/mon-equipe">Mon équipe</a>.
                </div>
            <?php }
            elseif ($_SESSION["team"]->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
                <div class="alert alert-warning">
                    Pensez à demander la validation de votre équipe pour pouvoir participer aux Correspondances. Chaque membre de votre
                    équipe doit pour cela avoir soumis son autorisation de droit à l'image sur la page <a href="/mon-compte">Mon compte</a>.
                    Les encadrants ne sont pas concernés.
                </div>
            <?php }
        }
    }

    echo htmlspecialchars_decode($CONFIG->getIndexPage());

    if (isset($_SESSION["user_id"]) && $_SESSION["role"] == Role::ADMIN) { ?>
        <hr/>
        <a class="btn btn-primary btn-block btn-lg" style="background-color: #ff2e34;" href="/modifier-page">
            Modifier la page
        </a>
    <?php }
}

require_once "footer.php";