<?php
require_once "header.php" ; ?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Rejoindre une équipe</h1>
    </div>

<?php if (isset($join_team) && !$has_error) { ?>
	<div class="alert alert-success">
        Vous avez bien rejoint l'équipe <?= $_SESSION["team"]->getName() ?> !
    </div>
<?php } elseif(date("Y-m-d H:i:s") >= $CONFIG->getInscriptionDate()) { ?>
    <div class="alert alert-danger">
        La date limite d'inscription est dépassée.
    </div>
<?php } else { ?>

	<form method="POST">
        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="access_code">Code d'accès :</label>
                <input class="form-control" type="text" id="access_code" name="access_code" pattern="[A-Za-z0-9]{6}" required/>
            </div>
        </div>

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" name="join_team" type="submit" value="Rejoindre l'équipe"/>
        </div>
	</form>

<?php } ?>

<?php require_once "footer.php" ?>